export  interface Product {
    id: string;
    productName: string;
    image: string;
    description: string;
    price: string;
    inStock: boolean;
  }
  export interface CartItem {
    id: string;
    name: string;
    price: number;
    priceUnit: string;
    quantity: number;
    image: string;
  }
  
  export interface CartState {
    items: CartItem[];
    total: number;
  }