
import { Stack } from 'expo-router';
import { GestureHandlerRootView } from 'react-native-gesture-handler';
import { SafeAreaProvider } from 'react-native-safe-area-context';
import React from 'react';
import { CartProvider } from './context/cartContext'

export default function Layout() {
  return (
    <GestureHandlerRootView style={{ flex: 1 }}>
      <SafeAreaProvider>
        <CartProvider>
        <Stack screenOptions={{ headerShown: false}} />
        </CartProvider>
      </SafeAreaProvider>
    </GestureHandlerRootView>
  );
}
